net.sf.jasperreports.charts.fill

## Class JRFillChartAxis

- java.lang.Object
- - net.sf.jasperreports.charts.fill.JRFillChartAxis

- All Implemented Interfaces:
    java.lang.Cloneable, JRChartAxis, JRCloneable

      public class JRFillChartAxis
      extends java.lang.Object
      implements JRChartAxis

  Describes an axis that can be added to a multiple axis chart. The name "axis" is a bit of a misnomer, as it really contains information about a new dataset to plot, the axis to plot it against, and how to render that dataset.
  Version:
    $Id: JRFillChartAxis.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (barry@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRFillChart` | `fillChart` The filled version of the `chart` field.
    `protected JRChartAxis` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillChartAxis(JRChartAxis axis, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRChartAxis` | `clone(JRChart parentChart)`
    `JRChart` | `getChart()` Returns the chart that contains the dataset and plot to use for this axis.
    `JRFillChart` | `getFillChart()` Return the filled version of the chart with the dataset and plot for this axis.
    `AxisPositionEnum` | `getPositionValue()` Gets the position of this axis.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRChartAxis parent

    - #### fillChart

          protected JRFillChart fillChart

      The filled version of the `chart` field. Contains evaluated expressions and data.

  - ### Constructor Detail

    - #### JRFillChartAxis

          public JRFillChartAxis(JRChartAxis axis,
                         JRFillObjectFactory factory)

  - ### Method Detail

    - #### getFillChart

          public JRFillChart getFillChart()

      Return the filled version of the chart with the dataset and plot for this axis.
      Returns:
        the filled version of the chart with the dataset and plot for this axis

    - #### getChart

          public JRChart getChart()

      Description copied from interface: `JRChartAxis`
      Returns the chart that contains the dataset and plot to use for this axis. The plot is used to figure out how to render the dataset when adding to the multiple axis chart.
      Specified by:
        `getChart` in interface `JRChartAxis`
      Returns:
        the chart that contains the dataset and plot for this axis

    - #### getPositionValue

          public AxisPositionEnum getPositionValue()

      Description copied from interface: `JRChartAxis`
      Gets the position of this axis.
      Specified by:
        `getPositionValue` in interface `JRChartAxis`
      Returns:
        the position of this axis

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### clone

          public JRChartAxis clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRChartAxis`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com